%define major   0
%define libname %mklibname %name %major
%define libdev  %mklibname %name -d

Name:       iniparser
Version:    4.1
Release:    %mkrel 4
Summary:    C library for parsing "INI-style" files
Group:      System/Libraries
License:    MIT
URL:        http://ndevilla.free.fr/iniparser/
Source0:    https://github.com/ndevilla/iniparser/archive/v%version/%name-%version.tar.gz
# Originally from Gentoo:
Patch0:     iniparser-3.1-autotools.patch

%description
iniParser is an ANSI C library to parse "INI-style" files, often used to
hold application configuration information.

%package -n %libname
Summary:    C library for parsing "INI-style" files
Group:      System/Libraries

%description -n %libname
iniParser is an ANSI C library to parse "INI-style" files, often used to
hold application configuration information.

%package -n %libdev
Summary:    Header files, libraries and development documentation for %{name}
Group:      Development/C
Requires:   %{libname} = %version
Provides:   %{name}-devel = %version-%release

%description -n %libdev
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure \
	--disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %libname
%doc README.md
%license LICENSE
%{_libdir}/libiniparser.so.%{major}{,.*}

%files -n %libdev
%{_libdir}/libiniparser.so
%{_includedir}/*.h


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 4.1-4.mga9
+ Revision: 1791968
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 4.1-3.mga8
+ Revision: 1513618
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 4.1-2.mga7
+ Revision: 1298299
- Mageia 7 Mass Rebuild

* Thu Apr 19 2018 daviddavid <daviddavid> 4.1-1.mga7
+ Revision: 1220099
- new version: 4.1
- update Source URL

* Tue Feb 09 2016 umeabot <umeabot> 3.1-7.mga6
+ Revision: 951010
- Mageia 6 Mass Rebuild

* Sat Dec 06 2014 wally <wally> 3.1-6.mga5
+ Revision: 801734
- add patch to build using autotools (originally from Gentoo)

* Wed Oct 15 2014 umeabot <umeabot> 3.1-5.mga5
+ Revision: 746729
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1-4.mga5
+ Revision: 680513
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.1-3.mga4
+ Revision: 506072
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.1-2.mga3
+ Revision: 354401
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 03 2012 neoclust <neoclust> 3.1-1.mga3
+ Revision: 266986
- New version 3.1
  Add a new provide in the devel package

* Mon Jul 02 2012 colin <colin> 3.0-1.mga3
+ Revision: 266785
- Fix group
- Import iniparser (based on Fedora package, adapted by Nicolas Lecureuil)


* Sat Jan 14 2012 Simo Sorce <ssorce@redhat.com> - 3.0-1
- Final 3.0 release

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-0.4.b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-0.3.b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-0.2.b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jan 26 2009 Alex Hudson <fedora@alexhudson.com> - 3.0-0.1.b
- change version number to reflect "pre-release" status

* Mon Jan 19 2009 Alex Hudson <fedora@alexhudson.com> - 3.0b-3
- ensure LICENSE file is installed

* Wed Jan 14 2009 Alex Hudson <fedora@alexhudson.com> - 3.0b-2
- respond to review: added -fPIC to cflags, used 'install'

* Tue Jan 13 2009 Alex Hudson <fedora@alexhudson.com> - 3.0b-1
- Initial packaging attempt
